// eg2_impl.java -- an echo server which spews its IOR to System.err

package UK.co.orl.omniorb;

import org.omg.CORBA.*;

class eg2_impl {
  public static void main(String[] args) {
    ORB orb = ORB.init(args, null);
    echo_i myobj = new echo_i();

    orb.connect(myobj);

    System.err.println("'" + orb.object_to_string(myobj) + "'");

    Thread.currentThread().suspend();
  }
}
